GNU bug report logs - #17788
24.3; ruler-mode: column indicators "hop" left if you drag them diagonally

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrea Rossetti <andrea.rossetti@HIDDEN>; dated Sun, 15 Jun 2014 19:18:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 17 Jun 2014 23:50:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jun 17 19:50:46 2014
Received: from localhost ([127.0.0.1]:51000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Wx39J-00056p-RQ
	for submit <at> debbugs.gnu.org; Tue, 17 Jun 2014 19:50:46 -0400
Received: from mail-wg0-f43.google.com ([74.125.82.43]:59231)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1Wx39G-00056Z-M5
 for 17788 <at> debbugs.gnu.org; Tue, 17 Jun 2014 19:50:43 -0400
Received: by mail-wg0-f43.google.com with SMTP id b13so61416wgh.14
 for <17788 <at> debbugs.gnu.org>; Tue, 17 Jun 2014 16:50:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=D01RXh0lEIH5XOxj5qnTdOzVGMHhjUFHaTJzYQY1xwU=;
 b=z52MPaeiVXCMrguo1qhebxn+/AlnS+dbGNDn34k9cuOgADbEKqiAUv6UvV3nmIVkbR
 N48t5A+8ydZBeWdoZ6BulLQvyLz7qzOtltLc2u+Rstbyaj7Mqi6F7yxYUzQWAK7U5cal
 19pW1S2az/DjnSYX5JxTnvLkpikEKKpW+sZNxylaT14xezuw2XrnBZgnGsxU2xDFlQyI
 PZpf+rq1uDuANMvNHKocc9oTJEcNa7ACiDbWdsxGN1v97jn7y7Ta2K3C+USCczFLpDZO
 AA37rf16KPnp4Y7Dd/oXF4qyiFm31/l9Dkv+zGjt8vXuZRSfLLYhQjcceXwshlJDbxZw
 3FWw==
X-Received: by 10.180.19.233 with SMTP id i9mr285365wie.38.1403049036512;
 Tue, 17 Jun 2014 16:50:36 -0700 (PDT)
Received: from LAPTOP-ANDREA.laptop-andrea.trieste.it
 (net-93-144-105-178.cust.dsl.teletu.it. [93.144.105.178])
 by mx.google.com with ESMTPSA id o47sm1255968eeg.8.2014.06.17.16.50.34
 for <17788 <at> debbugs.gnu.org>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Tue, 17 Jun 2014 16:50:35 -0700 (PDT)
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
To: 17788 <at> debbugs.gnu.org
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
 <84zjhdixgw.fsf@HIDDEN> <539E9891.8020507@HIDDEN>
 <847g4gd2in.fsf@HIDDEN>
Date: Wed, 18 Jun 2014 01:50:33 +0200
In-Reply-To: <847g4gd2in.fsf@HIDDEN> (Andrea Rossetti's message of "Mon, 16
 Jun 2014 22:26:40 +0200")
Message-ID: <841tunnliu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17788
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Andrea Rossetti <andrea.rossetti@HIDDEN> writes:
>
>   The new tentative patch is attached here below:
> ....
> +(defsubst ruler-mode-window-col (start-or-end-event)
> ....
> +  (- (car (posn-col-row start-or-end-event))
> +     (if (eq (posn-area start-or-end-event) 'header-line)
> +         (+
> +          (or (car (window-margins)) 0)
> +          (fringe-columns 'left)
> +          (scroll-bar-columns 'left))
> +       0)))

  Some additional word of comment: 

 - I believe the implicit meaning of the above code is 
   "(car (posn-col-row ...)) is fine in text area, but needs
   to be `adjusted' when the drag is performed in header-line
   area";

- whether this adjustment should really be performed by
  posn-col-row or by ruler-mode-window-col is not very clear
  to me; I conjectured that subr.el provides somewhat
  `lower-level' service functions who probably don't want
  to know about window-margins, fringe-columns,
  scroll-bar-columns, but I might be wrong;

- be aware that dragging the column indicators does not work
  if you use non-zero zoom (C-x C-+ or C-x C--); this is an
  independent problem that the patch does not address; the
  issue would need his own bug report.

  Thanks for reading, kindest regards.

Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 16 Jun 2014 21:35:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 16 17:35:03 2014
Received: from localhost ([127.0.0.1]:49703 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WweYQ-0006h0-GL
	for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 17:35:03 -0400
Received: from mout.gmx.net ([212.227.15.19]:61977)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1WweYN-0006gX-6O
 for 17788 <at> debbugs.gnu.org; Mon, 16 Jun 2014 17:35:00 -0400
Received: from rosalinde.fritz.box ([89.245.86.96]) by mail.gmx.com (mrgmx002)
 with ESMTPSA (Nemesis) id 0MId0S-1WuSgu2yk4-002CX8;
 Mon, 16 Jun 2014 23:34:52 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Andrea Rossetti <andrea.rossetti@HIDDEN>
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
 <84zjhdixgw.fsf@HIDDEN> <539E9891.8020507@HIDDEN>
 <847g4gd2in.fsf@HIDDEN>
Date: Mon, 16 Jun 2014 23:34:36 +0200
In-Reply-To: <847g4gd2in.fsf@HIDDEN> (Andrea Rossetti's message of "Mon, 16
 Jun 2014 22:26:40 +0200")
Message-ID: <87k38giln7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:hbO8huqPdvVtMOa6CeZQi0hhRe7PvxZpX9/S8hvOaHi6EoEbIeB
 cPgem/b0ulmEcceYNY6t2f8vylD5SelnHuANkmkLo0tjC6Qb2oWMD8VUN/kbVUXHUq98Xlz
 kcuZvaXyUnaeA9T6n9QEgyHzHOPh6/w2DV2oIfxfObUPm9TUpRMl1TkzaLdMiKxB7yRpnTF
 m8puNeBtIl5OINNgpOazw==
X-Spam-Score: -1.0 (-)
X-Debbugs-Envelope-To: 17788
Cc: martin rudalics <rudalics@HIDDEN>, 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Mon, 16 Jun 2014 22:26:40 +0200 Andrea Rossetti <andrea.rossetti@HIDDEN> wrote:

> martin rudalics <rudalics@HIDDEN> writes:
>
>> After applying your earlier patch this won't apply any more.  Kindly
>> provide a new one against the present trunk.
>>
>
> Hi! I did the following:
>
> - cloned http://git.savannah.gnu.org/cgit/emacs.git
>   at commit 19428947aaf2c68ad735a65bdc02d0523b5d15ae 
>   (Mon Jun 16 12:49:09 2014 +0400)
>
> - applied the same changes as before, additionally taking into account
>   Stephen's observations about left scroll-bar and a compilation error
>
> - checked that the modified ruler-mode.el compiles with no errors
>   and no warnings
>   
> - rebuilt the patch with "git format-patch 19428947aaf2c68ad735a65bdc02d0523b5d15ae"
>
>   The new tentative patch is attached here below:

I confirm that starting Emacs with -Q and this patch, # in the ruler no
longer jumps when mouse-2 is dragged straight down out of the ruler.
(For some reason, patch failed to apply the first hunk, but I applied it
by hand and rebuilt Emacs without a problem or warning.)

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 16 Jun 2014 20:26:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 16 16:26:54 2014
Received: from localhost ([127.0.0.1]:49677 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwdUT-0004zn-Fi
	for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 16:26:53 -0400
Received: from mail-wg0-f48.google.com ([74.125.82.48]:54745)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwdUQ-0004zU-F7
 for 17788 <at> debbugs.gnu.org; Mon, 16 Jun 2014 16:26:51 -0400
Received: by mail-wg0-f48.google.com with SMTP id n12so6164887wgh.19
 for <17788 <at> debbugs.gnu.org>; Mon, 16 Jun 2014 13:26:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=Ko3YjEzMJ9sqHiyxSMv2EPKK2W7kYeBEVxys/qUdR4g=;
 b=R+Rp5D6Nhp63/7KTC17Z6QJ0558I2wiZyA8cZSrTnLI+Zp8uSKTnuNmPo04fBlFf4F
 YOvy11mF9VviQlIJaxKV+fT9LIdS+BuK7q6CUL/R7Fj3C9VB3H9p+ltd3ilLYQL7ayMx
 rnzE1wK+4pG9gmzs6tieAbMgHd/eP1qJd5gHAZ3/TF3VHQuO+1+TcF/D1KGvCsu64Uan
 uPkb35dwC9NJ0TZCOqFUxA72vcvw6oMYgd7D8kSoXmnSlnbSKHLz58ZuTYWsIfUN/dNl
 W4JflACHz9AUB+hGk8hzwq/xCVglC9v3Tk+aJzo/UjfUfkWGt11ItvOiCLqOVIIdBuT2
 ktVQ==
X-Received: by 10.194.91.144 with SMTP id ce16mr31367945wjb.18.1402950404276; 
 Mon, 16 Jun 2014 13:26:44 -0700 (PDT)
Received: from LAPTOP-ANDREA.laptop-andrea.trieste.it
 (net-93-147-218-120.cust.dsl.teletu.it. [93.147.218.120])
 by mx.google.com with ESMTPSA id a1sm36239590eep.3.2014.06.16.13.26.42
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Mon, 16 Jun 2014 13:26:43 -0700 (PDT)
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
 <84zjhdixgw.fsf@HIDDEN> <539E9891.8020507@HIDDEN>
Date: Mon, 16 Jun 2014 22:26:40 +0200
In-Reply-To: <539E9891.8020507@HIDDEN> (martin rudalics's message of "Mon, 16
 Jun 2014 09:11:13 +0200")
Message-ID: <847g4gd2in.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17788
Cc: Stephen Berman <stephen.berman@HIDDEN>, 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain

martin rudalics <rudalics@HIDDEN> writes:

> After applying your earlier patch this won't apply any more.  Kindly
> provide a new one against the present trunk.
>

Hi! I did the following:

- cloned http://git.savannah.gnu.org/cgit/emacs.git
  at commit 19428947aaf2c68ad735a65bdc02d0523b5d15ae 
  (Mon Jun 16 12:49:09 2014 +0400)

- applied the same changes as before, additionally taking into account
  Stephen's observations about left scroll-bar and a compilation error

- checked that the modified ruler-mode.el compiles with no errors
  and no warnings
  
- rebuilt the patch with "git format-patch 19428947aaf2c68ad735a65bdc02d0523b5d15ae"

  The new tentative patch is attached here below:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-bug-17788-ruler-mode-indicators-hop-left-while-dragg.patch

From b3019446c982e3b1e7ca620f18339677131515f1 Mon Sep 17 00:00:00 2001
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
Date: Mon, 16 Jun 2014 22:01:26 +0200
Subject: [PATCH] bug#17788: ruler-mode indicators "hop" left while dragging

---
 lisp/ruler-mode.el | 26 ++++++++++++++++----------
 1 file changed, 16 insertions(+), 10 deletions(-)

diff --git a/lisp/ruler-mode.el b/lisp/ruler-mode.el
index 238754e..5543248 100644
--- a/lisp/ruler-mode.el
+++ b/lisp/ruler-mode.el
@@ -302,13 +302,19 @@ or remove a tab stop.  \\[ruler-mode-toggle-show-tab-stops] or
   (let ((edges (window-edges)))
     (- (nth 2 edges) (nth 0 edges))))
 
-(defsubst ruler-mode-window-col (n)
+(defsubst ruler-mode-window-col (start-or-end-event)
   "Return a column number relative to the selected window.
-N is a column number relative to selected frame."
-  (- n
-     (or (car (window-margins)) 0)
-     (fringe-columns 'left)
-     (scroll-bar-columns 'left)))
+START-OR-END-EVENT is the start point or end point of a mouse
+click or mouse drag event.
+
+See also: `event-start', `event-end', `posn-col-row', `posn-area'."
+  (- (car (posn-col-row start-or-end-event))
+     (if (eq (posn-area start-or-end-event) 'header-line)
+         (+
+          (or (car (window-margins)) 0)
+          (fringe-columns 'left)
+          (scroll-bar-columns 'left))
+       0)))
 
 (defun ruler-mode-mouse-set-left-margin (start-event)
   "Set left margin end to the graduation where the mouse pointer is on.
@@ -371,7 +377,7 @@ dragging.  See also the variable `ruler-mode-dragged-symbol'."
          col newc oldc)
     (save-selected-window
       (select-window (posn-window start))
-      (setq col  (ruler-mode-window-col (car (posn-col-row start)))
+      (setq col  (ruler-mode-window-col start)
             newc (+ col (window-hscroll)))
       (and
        (>= col 0) (< col (window-width))
@@ -454,7 +460,7 @@ Called on each mouse motion event START-EVENT."
          col newc)
     (save-selected-window
       (select-window (posn-window start))
-      (setq col  (ruler-mode-window-col (car (posn-col-row end)))
+      (setq col  (ruler-mode-window-col end)
             newc (+ col (window-hscroll)))
       (when (and (>= col 0) (< col (window-width)))
         (set ruler-mode-dragged-symbol newc)))))
@@ -470,7 +476,7 @@ START-EVENT is the mouse click event."
       (when (eq start end) ;; mouse click
         (save-selected-window
           (select-window (posn-window start))
-          (setq col (ruler-mode-window-col (car (posn-col-row start)))
+          (setq col (ruler-mode-window-col start)
                 ts  (+ col (window-hscroll)))
           (and (>= col 0) (< col (window-width))
                (not (member ts tab-stop-list))
@@ -490,7 +496,7 @@ START-EVENT is the mouse click event."
       (when (eq start end) ;; mouse click
         (save-selected-window
           (select-window (posn-window start))
-          (setq col (ruler-mode-window-col (car (posn-col-row start)))
+          (setq col (ruler-mode-window-col start)
                 ts  (+ col (window-hscroll)))
           (and (>= col 0) (< col (window-width))
                (member ts tab-stop-list)
-- 
1.8.1.msysgit.1


--=-=-=
Content-Type: text/plain


  Thanks in advance to anyone patient enough to test the patch.
Kindest regards, 

  Andrea

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 16 Jun 2014 19:03:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 16 15:03:41 2014
Received: from localhost ([127.0.0.1]:49635 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwcBs-0002tP-23
	for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 15:03:40 -0400
Received: from mail-we0-f171.google.com ([74.125.82.171]:45572)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwcBl-0002sz-GD
 for 17788 <at> debbugs.gnu.org; Mon, 16 Jun 2014 15:03:34 -0400
Received: by mail-we0-f171.google.com with SMTP id q58so6222248wes.16
 for <17788 <at> debbugs.gnu.org>; Mon, 16 Jun 2014 12:03:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=It3cMwvKobsoi8AJihdksAZB4n+UYPiNy6vYJeoWTiY=;
 b=nRU10r4D/8j7/k8jHpNKn3CMrWZ4rjRtyy9nQHOw5TWHzM0bB8TkNLd+G2HqEhxNQ4
 PobxT0B+Pv4FkAdgo0WZZi4TkWpk8xNonYNstYE8ut6y4injC6UntK1UtlSbiEvCGWlC
 gZSyg3pVLsfhIFK7nzneWrcBOIDE+jkyXSQdzymIxqQCLc4pC4ZWNhIQOHjdmvCEo/1i
 OyhVyoi41YVgY3BtbGdIsICyuLgEIA3lK3kGWd+JhBf7bKIFa/zrXgyOsoHDBvq0WOOB
 SY+br/YzcYzYsEFabA/nD0NpP+229hnnlwfm498o90iDYttAn2DkV/zDvXyzDWL9Q2au
 Mjiw==
X-Received: by 10.180.98.163 with SMTP id ej3mr30203097wib.9.1402945402468;
 Mon, 16 Jun 2014 12:03:22 -0700 (PDT)
Received: from LAPTOP-ANDREA.laptop-andrea.trieste.it
 (net-93-147-218-120.cust.dsl.teletu.it. [93.147.218.120])
 by mx.google.com with ESMTPSA id l49sm35762324eef.27.2014.06.16.12.03.20
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Mon, 16 Jun 2014 12:03:21 -0700 (PDT)
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>, rudalics@HIDDEN
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
 <84zjhdixgw.fsf@HIDDEN> <87mwddjh1w.fsf@HIDDEN>
Date: Mon, 16 Jun 2014 21:03:16 +0200
In-Reply-To: <87mwddjh1w.fsf@HIDDEN> (Stephen Berman's message of
 "Mon, 16 Jun 2014 12:16:11 +0200")
Message-ID: <84ha3ku16z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17788
Cc: 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Stephen Berman <stephen.berman@HIDDEN> writes:
> I do indeed that the scroll bar on the left (it's also a non-toolkit
> scroll bar, FWIW).
> With your patch, I still get a jump of # when I drag the mouse pointer
> down out of the ruler, but now only by two columns to the left,
> regardless of whether I set the left margin or not.

  Hi Stephen, I confirm that left scroll bar was a relevant
difference between us: if I type "M-S-; (set-scroll-bar-mode 'left) RET"
in ruler-mode I get scroll-bar on left side and see the indicators
"hop" exactly two columns left, same as in your setup.

>> +     (if (eq (posn-area start) 'header-line)
>                            ^^^^^
> I guess this should be `start-or-end-event' (otherwise the byte compiler
> warns about a free variable).

  Ehm... my apologies for that :) I'm now going to post
another version of the patch (can you please throw away the
previous one). Kindest regards,

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 16 Jun 2014 10:16:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 16 06:16:43 2014
Received: from localhost ([127.0.0.1]:48760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwTxy-000578-S5
	for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 06:16:43 -0400
Received: from mout.gmx.net ([212.227.15.15]:65033)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1WwTxs-00056o-MD
 for 17788 <at> debbugs.gnu.org; Mon, 16 Jun 2014 06:16:41 -0400
Received: from rosalinde.fritz.box ([89.245.86.96]) by mail.gmx.com (mrgmx001)
 with ESMTPSA (Nemesis) id 0Lg1Tn-1WP80F0lnX-00pbt1;
 Mon, 16 Jun 2014 12:16:28 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Andrea Rossetti <andrea.rossetti@HIDDEN>
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
 <84zjhdixgw.fsf@HIDDEN>
Date: Mon, 16 Jun 2014 12:16:11 +0200
In-Reply-To: <84zjhdixgw.fsf@HIDDEN> (Andrea Rossetti's message of "Mon, 16
 Jun 2014 01:06:55 +0200")
Message-ID: <87mwddjh1w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:IWnLQmjztBqWY/NXGldbBMGH4yDYhjHScbJ8SC8PQAdBmuPxfQ5
 UMSmCxKilDWuu4LzC8Lzc4tROzxYdH4QjWssvK6ukW7rN7JD/SU+ZyW9Js7f0RVICNkKQWN
 n82dvaQ51yO30sO6CG0CNPotg8U6jhKhX78WRd/svI4APGnhWkzWNAKcXTsLWkamEgmQA6L
 JJvd7cZN7iCdN6nnKxiBA==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17788
Cc: 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, 16 Jun 2014 01:06:55 +0200 Andrea Rossetti <andrea.rossetti@HIDDEN> wrote:

>   Thanks Stephen for having tested at your side.
>
>> (1) I see # jump whenever the mouse pointer is moved off the ruler while
>>     holding down mouse-2, regardless of which direction you drag in
>>     ...
>
>   Yes, (1) is the same for me.
>
>> (2) If you don't set the left margin, I see # jump as follows:
>>     - If you drag from # straight down (due south), # jumps three
>>       columns to the left. 
>>     - If you drag from # southeast by one character, # jumps two columns
>>       to the left.
>>     - If you drag from # southeast by two characters, # jumps one column
>>       to the left.
>>     - If you drag from # southeast by more than two characters, # does
>>       not jump to the left.
>>     - If you drag from # southwest, # slides (but doesn't jump) to
>>       whatever column you stop the drag on.  Moreover, once you drag #
>>       southwest, you can slide # anywhere while holding mouse-2 with the
>>       mouse pointer in the text area, just like when it is on the rule.
>>
>
>   I can't replicate any of the cases in (2); I always get 1 column hop.
>
>> (3) If you set the left margin, the the number of columns jumped by
>>     dragging due south equals (margin width + 3), if I'm not mistaken.
>
>   In my setup I see the indicator jumps left for (margin width + 1)
> columns. I'm afraid some other window parameters may be involved,
> for example:
>
>   - if you have a leftside fringe (I have it)

Me too (as well as right fringe).

>   - if you have a leftside scrollbar (I only have it rightside)

I do indeed that the scroll bar on the left (it's also a non-toolkit
scroll bar, FWIW).

>   - (maybe?) if your window manager sets thick window borders
>     (I have just 3-4 pixel borders)

Do you mean X-window borders, i.e., Emacs frame borders?  If so, I have
one pixel wide borders.

>   I wrote a (quite rough) patch that seems to resolve all "hop"
> problems on my installation. May I please ask if anyone has time
> and patience to try the patch and report if it provides some benefit.

With your patch, I still get a jump of # when I drag the mouse pointer
down out of the ruler, but now only by two columns to the left,
regardless of whether I set the left margin or not.

> -(defsubst ruler-mode-window-col (n)
> +(defsubst ruler-mode-window-col (start-or-end-event)
>    "Return a column number relative to the selected window.
> -N is a column number relative to selected frame."
> -  (- n
> -     (car (window-edges))
> -     (or (car (window-margins)) 0)
> -     (fringe-columns 'left)
> +START-OR-END-EVENT is the start point or end point of a mouse
> +click or mouse drag event.
> +                                                                  
> +See also: `event-start', `event-end', `posn-col-row', `posn-area'.
> +"                                                                 
> +  (- (car (posn-col-row start-or-end-event))                      
> +     (if (eq (posn-area start) 'header-line)
                           ^^^^^
I guess this should be `start-or-end-event' (otherwise the byte compiler
warns about a free variable).

> +         (+ (or (car (window-margins)) 0) (fringe-columns 'left)) 
> +       0)                                                         

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 16 Jun 2014 07:11:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 16 03:11:26 2014
Received: from localhost ([127.0.0.1]:48693 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwR4g-0000P7-4F
	for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 03:11:26 -0400
Received: from mout.gmx.net ([212.227.15.19]:60608)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WwR4e-0000On-2q
 for 17788 <at> debbugs.gnu.org; Mon, 16 Jun 2014 03:11:24 -0400
Received: from [88.117.84.120] ([88.117.84.120]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0M1BMy-1WcYk221mq-00tCi6; Mon, 16 Jun 2014 09:11:18
 +0200
Message-ID: <539E9891.8020507@HIDDEN>
Date: Mon, 16 Jun 2014 09:11:13 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Andrea Rossetti <andrea.rossetti@HIDDEN>, 
 Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#17788: 24.3; ruler-mode: column indicators "hop" left if
 you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
 <84zjhdixgw.fsf@HIDDEN>
In-Reply-To: <84zjhdixgw.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:WqHiS6nqMkFSeX8OwuZ7Dn+RR7+9FQGl7pd8WtFFiuK6z4e5r5N
 8shkwgylVrq5k9+zRsykvTAFKX6fp1LVpQkUAoeF8/+V6UkpaB1+bAm8iy3otDItoZFUXP+
 hDCGT6PAaGLC7kNnFRYEoEl/tcIHfmRadRcFc5sFYFKbO8cYWJo9WJn3vzdhFVOdcb/6W+8
 FdWGdDqxPPmoaGUp/2stQ==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17788
Cc: 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >    I wrote a (quite rough) patch that seems to resolve all "hop"
 > problems on my installation. May I please ask if anyone has time
 > and patience to try the patch and report if it provides some benefit.

After applying your earlier patch this won't apply any more.  Kindly
provide a new one against the present trunk.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 16 Jun 2014 07:11:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 16 03:11:12 2014
Received: from localhost ([127.0.0.1]:48690 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwR4R-0000Oa-NT
	for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 03:11:11 -0400
Received: from mout.gmx.net ([212.227.15.19]:52419)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1WwR4P-0000OJ-5S
 for 17788 <at> debbugs.gnu.org; Mon, 16 Jun 2014 03:11:10 -0400
Received: from [88.117.84.120] ([88.117.84.120]) by mail.gmx.com (mrgmx101)
 with ESMTPSA (Nemesis) id 0LbR3e-1WTB4H2NYY-00kuzE; Mon, 16 Jun 2014 09:11:03
 +0200
Message-ID: <539E9884.6060200@HIDDEN>
Date: Mon, 16 Jun 2014 09:11:00 +0200
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Andrea Rossetti <andrea.rossetti@HIDDEN>, 17788 <at> debbugs.gnu.org
Subject: Re: bug#17788: 24.3; ruler-mode: column indicators "hop" left if
 you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN>
In-Reply-To: <84ppiahtix.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:9Fn61aA+e4nnC+AhdFDeqf0fpSDNgGUiZtz0XB8bsaT2VdF1hw2
 giKyUU22rM1N4g7+aCFrpB5oiXA/9EMekQqm/YeVcqfYK2QJqm3CYL4pshyeA/7ubk08Zmy
 OSHJ61HFW7r39dltR/uUczJlIrQVwd5/uVknWJZduMQCboYPOZx6pTZtyZfnX6RIFooviVa
 5YufWE00O1IC4msJyahog==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 17788
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 >    Hello, I found a minor bug in ruler mode, here is
 > a recipe to reproduce it:
 >
 >   - start emacs -Q
 >   - M-x ruler-mode RET
 >   - click S-<mouse-1> on the column 10 of the ruler, this will set a left
 >     margin
 >   - you will see the ruler has two column indicators in red colour:
 >     "#" for comment column, and "pilcrow" symbol for paragraph fill indicator
 >   - click and hold down mouse-2 (= center mouse button) on the red "#" indicator
 >   - drag the indicator horizontally; indicator will follow the mouse as expected
 >   - continue dragging slightly diagonally (for example in West-South-West
 >     direction); as soon as you drag the mouse out of the grey ruler area,
 >     you will see that the indicator "hops" left of about 10 columns

I can reproduce the behavior now.  Thanks.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 15 Jun 2014 23:14:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 15 19:14:17 2014
Received: from localhost ([127.0.0.1]:48560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwJcu-00059g-N3
	for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 19:14:16 -0400
Received: from mail-wi0-f170.google.com ([209.85.212.170]:45418)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwJcs-00059R-IP
 for 17788 <at> debbugs.gnu.org; Sun, 15 Jun 2014 19:14:15 -0400
Received: by mail-wi0-f170.google.com with SMTP id cc10so4460619wib.1
 for <17788 <at> debbugs.gnu.org>; Sun, 15 Jun 2014 16:14:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=ddf4swxQaajf88EE8k8ayklIW7YxIo0g7Y7uBn+Bfnw=;
 b=UtJ2FXcnqtb4sIt+qhVepzckNB7rWb9nkQuddHDAXh2QHct8B223vAlxwBBDCwf94u
 7mI1bf5iSymLlVPF/xhk5j93BkCtKaOBPHfpwbfmYE+x+Yv7DVKpF61eYAZH02vXgU5/
 ECnse/cXKW1r/zVsPee+ouYKiWvgf4VzH9IPullQI1a7HUXe8K47AKbThlAgOUtsGbD5
 h8/wwUTOXW5zdAwMWBEIuGYZpmdPqRSjCJr5X9NKGG/Te/Z9J5XxlccbQjAiGsd2vaMP
 DKrbi628RTtBxqDD8XRg55UxtlogTA/LZUlzushyPgXFU9evoXRNFO0Ct8fbOEiaGigM
 uQ1g==
X-Received: by 10.194.59.65 with SMTP id x1mr23355180wjq.60.1402874048823;
 Sun, 15 Jun 2014 16:14:08 -0700 (PDT)
Received: from LAPTOP-ANDREA.laptop-andrea.trieste.it
 (net-93-144-96-92.cust.dsl.teletu.it. [93.144.96.92])
 by mx.google.com with ESMTPSA id l49sm29776799eef.27.2014.06.15.16.14.07
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 15 Jun 2014 16:14:08 -0700 (PDT)
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
 <84zjhdixgw.fsf@HIDDEN>
Date: Mon, 16 Jun 2014 01:14:05 +0200
In-Reply-To: <84zjhdixgw.fsf@HIDDEN> (Andrea Rossetti's message of "Mon, 16
 Jun 2014 01:06:55 +0200")
Message-ID: <84vbs1ix4y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17788
Cc: 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

>   I wrote a (quite rough) patch...

To create the patch I downloaded recent sources
from git://git.savannah.gnu.org/emacs.git
and built my changes on top of last commit
(4e9e12229d5482523589b7ab75d17bca12383330
Sun Jun 15 22:49:10 2014 +0200).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 15 Jun 2014 23:07:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 15 19:07:12 2014
Received: from localhost ([127.0.0.1]:48556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwJW2-0004zH-H9
	for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 19:07:11 -0400
Received: from mail-wi0-f178.google.com ([209.85.212.178]:45704)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwJVx-0004yi-W7
 for 17788 <at> debbugs.gnu.org; Sun, 15 Jun 2014 19:07:07 -0400
Received: by mail-wi0-f178.google.com with SMTP id n15so3160632wiw.11
 for <17788 <at> debbugs.gnu.org>; Sun, 15 Jun 2014 16:07:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=cIp/gKs0WkYxIk7cghrw51082tzRUmudT4XH3e4He1o=;
 b=IGrqGHOWEn+XBFPVW6eGIjp/ebqKeK1IcYoFp1is58/vXTPGVUae0rh8TGNpFbQ+A+
 k3dguBEa56TAV3tG6+g+krT5CyoWfG6FXe/JCZRFUnHNQuKBxkuAmWPSZL1EcNuEeD1Y
 IZnLH5LOjXfQqyD9gipsCvnwKwd6nIhANkpu5wjSP0tv8JQNyNplgxnXwFEAVwkZwQdT
 nIESpwkPTj8xqKnNVVMuXdzXkXkIsq+M7qWMArORz4EEIQC06Dt7pla1Q1lA9/WhBnFZ
 qdP4ZP16zm5tZDjWqqz/0WjTiEtIYnDhI+NnkO5NxpSBiK1Ca7Mkt/y8o/ihxoFOUIeA
 CBNg==
X-Received: by 10.194.63.46 with SMTP id d14mr23259411wjs.24.1402873620195;
 Sun, 15 Jun 2014 16:07:00 -0700 (PDT)
Received: from LAPTOP-ANDREA.laptop-andrea.trieste.it
 (net-93-144-96-92.cust.dsl.teletu.it. [93.144.96.92])
 by mx.google.com with ESMTPSA id l45sm29743389eep.25.2014.06.15.16.06.58
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 15 Jun 2014 16:06:59 -0700 (PDT)
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
To: Stephen Berman <stephen.berman@HIDDEN>
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN> <87fvj5omej.fsf@HIDDEN>
Date: Mon, 16 Jun 2014 01:06:55 +0200
In-Reply-To: <87fvj5omej.fsf@HIDDEN> (Stephen Berman's message of
 "Mon, 16 Jun 2014 00:09:24 +0200")
Message-ID: <84zjhdixgw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (windows-nt)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17788
Cc: 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--=-=-=
Content-Type: text/plain


  Thanks Stephen for having tested at your side.

> (1) I see # jump whenever the mouse pointer is moved off the ruler while
>     holding down mouse-2, regardless of which direction you drag in
>     ...

  Yes, (1) is the same for me.

> (2) If you don't set the left margin, I see # jump as follows:
>     - If you drag from # straight down (due south), # jumps three
>       columns to the left. 
>     - If you drag from # southeast by one character, # jumps two columns
>       to the left.
>     - If you drag from # southeast by two characters, # jumps one column
>       to the left.
>     - If you drag from # southeast by more than two characters, # does
>       not jump to the left.
>     - If you drag from # southwest, # slides (but doesn't jump) to
>       whatever column you stop the drag on.  Moreover, once you drag #
>       southwest, you can slide # anywhere while holding mouse-2 with the
>       mouse pointer in the text area, just like when it is on the rule.
>

  I can't replicate any of the cases in (2); I always get 1 column hop.

> (3) If you set the left margin, the the number of columns jumped by
>     dragging due south equals (margin width + 3), if I'm not mistaken.

  In my setup I see the indicator jumps left for (margin width + 1)
columns. I'm afraid some other window parameters may be involved,
for example:

  - if you have a leftside fringe (I have it)
  - if you have a leftside scrollbar (I only have it rightside)
  - (maybe?) if your window manager sets thick window borders
    (I have just 3-4 pixel borders)

  I wrote a (quite rough) patch that seems to resolve all "hop"
problems on my installation. May I please ask if anyone has time
and patience to try the patch and report if it provides some benefit.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-bug-17788-ruler-mode-indicators-hops-left.patch

From a9e5f6508e0ef3f582b78d174ac173ac1c403585 Mon Sep 17 00:00:00 2001
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
Date: Mon, 16 Jun 2014 00:28:34 +0200
Subject: [PATCH]  bug#17788: ruler-mode indicators "hops" left

---
 lisp/ruler-mode.el | 24 ++++++++++++++----------
 1 file changed, 14 insertions(+), 10 deletions(-)

diff --git a/lisp/ruler-mode.el b/lisp/ruler-mode.el
index 9e32a2f..4cbcf63 100644
--- a/lisp/ruler-mode.el
+++ b/lisp/ruler-mode.el
@@ -302,13 +302,17 @@ or remove a tab stop.  \\[ruler-mode-toggle-show-tab-stops] or
   (let ((edges (window-edges)))
     (- (nth 2 edges) (nth 0 edges))))
 
-(defsubst ruler-mode-window-col (n)
+(defsubst ruler-mode-window-col (start-or-end-event)
   "Return a column number relative to the selected window.
-N is a column number relative to selected frame."
-  (- n
-     (car (window-edges))
-     (or (car (window-margins)) 0)
-     (fringe-columns 'left)
+START-OR-END-EVENT is the start point or end point of a mouse
+click or mouse drag event.
+                                                                  
+See also: `event-start', `event-end', `posn-col-row', `posn-area'.
+"                                                                 
+  (- (car (posn-col-row start-or-end-event))                      
+     (if (eq (posn-area start) 'header-line)                      
+         (+ (or (car (window-margins)) 0) (fringe-columns 'left)) 
+       0)                                                         
      (scroll-bar-columns 'left)))
 
 (defun ruler-mode-mouse-set-left-margin (start-event)
@@ -372,7 +376,7 @@ dragging.  See also the variable `ruler-mode-dragged-symbol'."
          col newc oldc)
     (save-selected-window
       (select-window (posn-window start))
-      (setq col  (ruler-mode-window-col (car (posn-col-row start)))
+      (setq col  (ruler-mode-window-col start)
             newc (+ col (window-hscroll)))
       (and
        (>= col 0) (< col (window-width))
@@ -455,7 +459,7 @@ Called on each mouse motion event START-EVENT."
          col newc)
     (save-selected-window
       (select-window (posn-window start))
-      (setq col  (ruler-mode-window-col (car (posn-col-row end)))
+      (setq col  (ruler-mode-window-col end)
             newc (+ col (window-hscroll)))
       (when (and (>= col 0) (< col (window-width)))
         (set ruler-mode-dragged-symbol newc)))))
@@ -471,7 +475,7 @@ START-EVENT is the mouse click event."
       (when (eq start end) ;; mouse click
         (save-selected-window
           (select-window (posn-window start))
-          (setq col (ruler-mode-window-col (car (posn-col-row start)))
+          (setq col (ruler-mode-window-col start)
                 ts  (+ col (window-hscroll)))
           (and (>= col 0) (< col (window-width))
                (not (member ts tab-stop-list))
@@ -491,7 +495,7 @@ START-EVENT is the mouse click event."
       (when (eq start end) ;; mouse click
         (save-selected-window
           (select-window (posn-window start))
-          (setq col (ruler-mode-window-col (car (posn-col-row start)))
+          (setq col (ruler-mode-window-col start)
                 ts  (+ col (window-hscroll)))
           (and (>= col 0) (< col (window-width))
                (member ts tab-stop-list)
-- 
1.8.1.msysgit.1


--=-=-=
Content-Type: text/plain


  Thanks in advance, kindest regards.

  Andrea

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at 17788 <at> debbugs.gnu.org:


Received: (at 17788) by debbugs.gnu.org; 15 Jun 2014 22:09:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 15 18:09:51 2014
Received: from localhost ([127.0.0.1]:48538 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwIcY-0003Yk-JZ
	for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 18:09:51 -0400
Received: from mout.gmx.net ([212.227.17.21]:57388)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <stephen.berman@HIDDEN>) id 1WwIcV-0003YR-Pg
 for 17788 <at> debbugs.gnu.org; Sun, 15 Jun 2014 18:09:48 -0400
Received: from rosalinde.fritz.box ([89.245.103.28]) by mail.gmx.com
 (mrgmx002) with ESMTPSA (Nemesis) id 0LlVZv-1WLrwA1gvP-00bH2R; Mon, 16 Jun
 2014 00:09:41 +0200
From: Stephen Berman <stephen.berman@HIDDEN>
To: Andrea Rossetti <andrea.rossetti@HIDDEN>
Subject: Re: bug#17788: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
References: <84ppiahtix.fsf@HIDDEN>
Date: Mon, 16 Jun 2014 00:09:24 +0200
In-Reply-To: <84ppiahtix.fsf@HIDDEN> (Andrea Rossetti's message of "Sun, 15
 Jun 2014 21:17:26 +0200")
Message-ID: <87fvj5omej.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:e+DBbBZWDB9WL9DVhpAAXlz8tFCz8tVUkS7pyqDDxCANZLRUnGh
 irUhDkefXls+GPYv23viUjpyOVMv40Q0NkBVlzeToNE+y6lj20ozSywjIkM8xvCFqW1tHX/
 qw8iy+wtg5Y4RnEloMqTriG+5O7F9q75EQl48Fx7tipl6eND7sKmCM0QIRyf7ed/wKM+xpk
 YbOo9YLob7iRf/OYauHkw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 17788
Cc: 17788 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Sun, 15 Jun 2014 21:17:26 +0200 Andrea Rossetti <andrea.rossetti@HIDDEN> wrote:

>   Hello, I found a minor bug in ruler mode, here is
> a recipe to reproduce it:
>
>  - start emacs -Q
>  - M-x ruler-mode RET
>  - click S-<mouse-1> on the column 10 of the ruler, this will set a left
>    margin
>  - you will see the ruler has two column indicators in red colour:
>    "#" for comment column, and "pilcrow" symbol for paragraph fill indicator
>  - click and hold down mouse-2 (= center mouse button) on the red "#" indicator
>  - drag the indicator horizontally; indicator will follow the mouse as expected
>  - continue dragging slightly diagonally (for example in West-South-West
>    direction); as soon as you drag the mouse out of the grey ruler area,
>    you will see that the indicator "hops" left of about 10 columns
>  
>   I realize the explanation may be hard to follow because it involves
> mouse dragging, so I prepared a small explicative image, it's available
> here:
>
> https://raw.githubusercontent.com/thesoftwarebin/the-emacs-software-bin/master/emacs-bugs/ruler-mode-diagonal-drag-issue.png
>   
>   May someone please confirm if the above recipe seems to be reproducible.
>
>   Thanks in advance for your attention and your patience in reading,
> kindest regards. 
>
>   Andrea
>
>
>
> In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7600)
>  of 2013-03-17 on MARVIN
> Windowing system distributor `Microsoft Corp.', version 6.1.7600

I can reproduce your observation on GNU Emacs 24.3.91.10
(x86_64-suse-linux-gnu, GTK+ Version 3.10.4) of 2014-06-13 on rosalinde.
I can add these observations:

(1) I see # jump whenever the mouse pointer is moved off the ruler while
    holding down mouse-2, regardless of which direction you drag in (but
    conditioned on the following point).

(2) If you don't set the left margin, I see # jump as follows:
    - If you drag from # straight down (due south), # jumps three
      columns to the left. 
    - If you drag from # southeast by one character, # jumps two columns
      to the left.
    - If you drag from # southeast by two characters, # jumps one column
      to the left.
    - If you drag from # southeast by more than two characters, # does
      not jump to the left.
    - If you drag from # southwest, # slides (but doesn't jump) to
      whatever column you stop the drag on.  Moreover, once you drag #
      southwest, you can slide # anywhere while holding mouse-2 with the
      mouse pointer in the text area, just like when it is on the rule.

(3) If you set the left margin, the the number of columns jumped by
    dragging due south equals (margin width + 3), if I'm not mistaken.

Steve Berman




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Jun 2014 19:17:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jun 15 15:17:56 2014
Received: from localhost ([127.0.0.1]:48513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwFwB-0006o3-Th
	for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 15:17:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42955)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwFw8-0006no-VQ
 for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 15:17:53 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwFvx-0006eB-V3
 for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 15:17:47 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37437)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwFvx-0006e6-SR
 for submit <at> debbugs.gnu.org; Sun, 15 Jun 2014 15:17:41 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44596)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwFvs-00075j-CZ
 for bug-gnu-emacs@HIDDEN; Sun, 15 Jun 2014 15:17:41 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwFvm-0006cM-U6
 for bug-gnu-emacs@HIDDEN; Sun, 15 Jun 2014 15:17:36 -0400
Received: from mail-wi0-x232.google.com ([2a00:1450:400c:c05::232]:52501)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <andrea.rossetti@HIDDEN>) id 1WwFvm-0006bt-Mk
 for bug-gnu-emacs@HIDDEN; Sun, 15 Jun 2014 15:17:30 -0400
Received: by mail-wi0-f178.google.com with SMTP id n15so3031347wiw.5
 for <bug-gnu-emacs@HIDDEN>; Sun, 15 Jun 2014 12:17:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=89QT5W+Dg9/1hU4KlMy5Ea+1RPmp/zxymURA2DAkn/U=;
 b=e1koDkT4ic/qOgi2AvgH9swwSBIp/V6TBZopJyIFgGbxVWKXPJ9EeruOiBjOD+fWM5
 bzdR2cNZDMJ0A5IxTe24dTEXDXqM7z3gYTZG4HeaFLXS062psA3o9svN3xfcRjuyxGEH
 j33dCm9EoHNlcW4k8q6/jQlt/GMAjYKKeZ1ITbUVro9g6qQ5G0rGOUON4WW7aAxrjg/4
 AoIaFweVyZndATLwkcGLZOcyVvO7vXZkSrrsg6k07DmgASgKv4V5GVOKSwWZKYwhZhWA
 CDLtz/n1rvGHAfMmlI7Z4zQMWOH5Fkp9EtxWFQuTX8u2dK5GOww5/Aa5U7XpAx/Fj7cz
 8pdg==
X-Received: by 10.194.86.164 with SMTP id q4mr5224116wjz.88.1402859848924;
 Sun, 15 Jun 2014 12:17:28 -0700 (PDT)
Received: from LAPTOP-ANDREA.laptop-andrea.trieste.it
 (adsl-ull-130-189.51-151.net24.it. [151.51.189.130])
 by mx.google.com with ESMTPSA id a45sm28569436eez.2.2014.06.15.12.17.27
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Sun, 15 Jun 2014 12:17:28 -0700 (PDT)
From: Andrea Rossetti <andrea.rossetti@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3;
 ruler-mode: column indicators "hop" left if you drag them diagonally
Date: Sun, 15 Jun 2014 21:17:26 +0200
Message-ID: <84ppiahtix.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


  Hello, I found a minor bug in ruler mode, here is
a recipe to reproduce it:

 - start emacs -Q
 - M-x ruler-mode RET
 - click S-<mouse-1> on the column 10 of the ruler, this will set a left
   margin
 - you will see the ruler has two column indicators in red colour:
   "#" for comment column, and "pilcrow" symbol for paragraph fill indicator
 - click and hold down mouse-2 (= center mouse button) on the red "#" indicator
 - drag the indicator horizontally; indicator will follow the mouse as expected
 - continue dragging slightly diagonally (for example in West-South-West
   direction); as soon as you drag the mouse out of the grey ruler area,
   you will see that the indicator "hops" left of about 10 columns
 
  I realize the explanation may be hard to follow because it involves
mouse dragging, so I prepared a small explicative image, it's available
here:

https://raw.githubusercontent.com/thesoftwarebin/the-emacs-software-bin/master/emacs-bugs/ruler-mode-diagonal-drag-issue.png
  
  May someone please confirm if the above recipe seems to be reproducible.

  Thanks in advance for your attention and your patience in reading,
kindest regards. 

  Andrea



In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7600)
 of 2013-03-17 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7600
Configured using:
 `configure --with-gcc (4.7) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include
 -ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include
 -ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'

Important settings:
  value of $LANG: ITA
  locale-coding-system: cp1252
  default enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  diff-auto-refine-mode: t
  gnus-undo-mode: t
  show-paren-mode: t
  server-mode: t
  recentf-mode: t
  cua-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t




Acknowledgement sent to Andrea Rossetti <andrea.rossetti@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17788; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.